Bug 22395 - [RFE] installer requires swap partition
Summary: [RFE] installer requires swap partition
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-17 03:40 UTC by Ed McKenzie
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-10 21:09:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed McKenzie 2000-12-17 03:40:41 UTC
The current installer doesn't permit installs without swap, choosing instead to pout and whine. Anaconda puts every partition labeled 0x82 into 
/etc/fstab as swap without even asking -- that'd be fine, except that's not really my preferred method of accessing Solaris/x86 partitions.

If the user doesn't specify a swap partition but has enough disk space, anaconda should optionally create a swap file on the filesystem. Blindly 
mounting all 0x82 partitions as swap, though, is dangerous.

Comment 1 Michael Fulbright 2000-12-18 17:29:56 UTC
Adding to future feature requests that we will evaluate at a later time.

Thank you for the suggestion.

Comment 2 Jeremy Katz 2001-09-10 21:09:48 UTC
The current beta release of Red Hat Linux (Roswell) will allow you to continue
to install without any swap (although it will warn you appropriately).


Note You need to log in before you can comment on or make changes to this bug.